\section{Arm Length Stabilization (ALS)}
\label{sec:ALS}
\input{McCal/figureTex/DRFPMIlayout}

Advanced LIGO and other current gravitational wave detectors achieve
unprecedented sensitivity in part due to the dual recycled Fabry-P\'erot
Michelson interferometry. Fig.~\ref{fig:DRFPMIlayout} shows the optical
configuration required for this scheme to work. In short, the Michelson
interferometer which senses the different arm length changes due to
gravitational waves, is made more sensitive by making the photons go multiple
roundtrips proportional to the finesse of each arm cavity. The amount of
circulating power is further increased by recycling the reflected light out of
the Michelson bright port through the power recycling cavity. Finally, another
mirror is added at the dark port of the interferometer which is referred to as
a signal recycling mirror, but in general is used for increasing or decreasing
the bandwidth of the detector.

This optimized observation mode requires five degrees of freedom to be
controlled simultaneously so that the common arm length $L_{\mathrm{C}}$ and
power recycling cavity length $L_{\mathrm{P}}$ are resonant with the input
laser beam, the differential arm length $L_{\mathrm{D}}$ is maintained at zero,
the Michelson interferometer $L_{\mathrm{M}}$ remains such that the output port
is dark, and the signal extraction cavity length $L_{\mathrm{S}}$ is maintained
in resonance at the detection frequency range. This optimum point is one spot
in a five-dimensional phase space and is hard to achieve starting from an
arbitrary point.

The process of reaching the science observation stage is known as lock
acquisition. Even if one tries to acquire lock sequentially for the five
degrees of freedom, there is a fundamental issue present. To lock \gls{CARM} to
the main laser while keeping \gls{DARM} at zero, one requires both arm cavities
to reach resonance with the main laser simultaneously. Since the arm cavities
are 4 km long and have high finesse, the cavity linewidth is very small, and
the chances of both cavities coming within the \gls{PDH} linear locking region
simultaneously are minuscule.

To tackle this issue, Arm Length Stabilization (ALS) subsystem was employed.
This topic has been described in detail in Izumi et al. \cite{Izumi2012} and
Alexa Staley's thesis\cite{Staley2015}. I present here a short simplified
summary to bridge the gap to the calibration scheme described later. Two green
lasers (auxiliary (AUX) lasers) are locked to the two arms individually by
injecting them through the end stations through the end test masses. These
green lasers are generated by frequency doubling 1064 nm Nd:YAG \gls{NPRO}
lasers by a single pass oven-controlled non-linear crystal optimized for second
harmonic generation from 1064 nm to 532 nm. Since these are individual locks,
this is fairly easier to acquire. Once locked, the transmitted green lasers
carry information about the arm-length motion in their optical frequency. See
Fig.~\ref{fig:ALSschematic} for reference.

\input{McCal/figureTex/ALSschematic}

By taking a beatnote with a frequency-doubled pick-off of the main laser and
the transmitted \gls{AUX} laser, we get a wide-range readout (in comparison to
the \gls{PDH} readout) of frequency difference of the main laser from arm
cavity resonance. Since the readout is present regardless of the main laser
resonating with the arm cavity, we can lock the main laser to arm cavity motion
while still maintaining it at off-resonance by an appropriate offset. The
beatnote between the two transmitted \gls{AUX} lasers on the other hand gives a
readout of the \gls{DARM} signal which can be used to lock \gls{DARM} to zero
without using the main laser. This way, \gls{CARM} and \gls{DARM} degrees of
freedom are at their set point without using any error signal which requires a
main laser and interferometer optics interaction.

From this point, the \gls{MICH}, \gls{PRCL}, and \gls{SRCL} degrees of freedom
can be locked to their respective lock points. Finally, the offset in
\gls{CARM} is reduced to zero, making the main laser resonant in both cavities
while still locked through the ALS subsystem. A final switch in error point
readout is made from the ALS beatnote to the interferometer photodiodes (where
the system is within the \gls{PDH} linear regime now), which results in lock
acquisition. This is a good example of how frequency space measurement of arm
lengths helps solve a complex control systems problem. Our proposed calibration
scheme aims to utilize this advantage further.
